const 
	https = require('http'),
	DataReceiver = require('./data-receiver').DataReceiver,	
	errorCallback = (err) => console.log(`Error: ${err}`),
	Controller = require('./controller').Controller;

/**
This is a minimal API communication test.
No API key needed. No query params.
We send the URL, receive the result, and print the result to the console
*/
function callApi() {
	const
		apiUrl = 'http://localhost:3000/testing123';		
		dataRecr = new DataReceiver(Controller.showApiResult);		
	https
		.get(apiUrl, dataRecr.getReadDataFct())
		.on("error", errorCallback);		
}

//entry point to this code
callApi();

